Customer
Retrieve customer information associated with the specified customer key.
Unique identifier of the customer.
An access API key issued to you by Xplor Pay.
ok
Payload
Type of payload returned in the response.
customersUnauthorized
Forbidden
Not Found
GET /rest/v2/customers/{customerKey} HTTP/1.1
api-key: text
Accept: */*
{
"customers": {
"customer": [
{
"email": "test@test.com",
"phone": "444-444-4444",
"comments": "my fav customer",
"metadata": "any additional properties [ \"any additional property\": \"value\"]",
"customer-key": "custID-88839992-223838-023333",
"first-name": "John",
"last-name": "Doe",
"billing-address": {
"company": "Test Company",
"street": "123 Example Street",
"street2": "Suite 700",
"city": "St Louis",
"state": "MO",
"zip": "85284",
"country": "United States",
"phone": "3148889999",
"first-name": "John",
"last-name": "Doe"
},
"shipping-address": {
"company": "Test Company",
"street": "123 Example Street",
"street2": "Suite 700",
"city": "St Louis",
"state": "MO",
"zip": "85284",
"country": "United States",
"phone": "3148889999",
"first-name": "John",
"last-name": "Doe"
},
"links": {
"link": [
{
"rel": "transaction",
"href": "/rest/v2/transactions?id=846512",
"id": "846512"
}
]
}
}
]
},
"payloadType": "customers"
}Update customer details in an existing customer record identified by the unique customer key.
Unique identifier of the customer.
An access API key issued to you by Xplor Pay.
Represents a recurring billing customer profile.
Email address associated with the customer.
test@test.comPrimary phone number of the customer.
444-444-4444Additional comments associated with the customer profile.
my fav customerA unique identifier defined to reference the customer in external systems.
custID-88839992-223838-023333Customer's first name.
JohnCustomer's last name.
Doeok
Payload
Type of payload returned in the response.
customersUnauthorized
Forbidden
Not Found
PUT /rest/v2/customers/{customerKey} HTTP/1.1
api-key: text
Content-Type: application/json
Accept: */*
Content-Length: 794
{
"email": "test@test.com",
"phone": "444-444-4444",
"comments": "my fav customer",
"metadata": "any additional properties [ \"any additional property\": \"value\"]",
"customer-key": "custID-88839992-223838-023333",
"first-name": "John",
"last-name": "Doe",
"billing-address": {
"company": "Test Company",
"street": "123 Example Street",
"street2": "Suite 700",
"city": "St Louis",
"state": "MO",
"zip": "85284",
"country": "United States",
"phone": "3148889999",
"first-name": "John",
"last-name": "Doe"
},
"shipping-address": {
"company": "Test Company",
"street": "123 Example Street",
"street2": "Suite 700",
"city": "St Louis",
"state": "MO",
"zip": "85284",
"country": "United States",
"phone": "3148889999",
"first-name": "John",
"last-name": "Doe"
},
"links": {
"link": [
{
"rel": "transaction",
"href": "/rest/v2/transactions?id=846512",
"id": "846512"
}
]
}
}{
"customers": {
"customer": [
{
"email": "test@test.com",
"phone": "444-444-4444",
"comments": "my fav customer",
"metadata": "any additional properties [ \"any additional property\": \"value\"]",
"customer-key": "custID-88839992-223838-023333",
"first-name": "John",
"last-name": "Doe",
"billing-address": {
"company": "Test Company",
"street": "123 Example Street",
"street2": "Suite 700",
"city": "St Louis",
"state": "MO",
"zip": "85284",
"country": "United States",
"phone": "3148889999",
"first-name": "John",
"last-name": "Doe"
},
"shipping-address": {
"company": "Test Company",
"street": "123 Example Street",
"street2": "Suite 700",
"city": "St Louis",
"state": "MO",
"zip": "85284",
"country": "United States",
"phone": "3148889999",
"first-name": "John",
"last-name": "Doe"
},
"links": {
"link": [
{
"rel": "transaction",
"href": "/rest/v2/transactions?id=846512",
"id": "846512"
}
]
}
}
]
},
"payloadType": "customers"
}Delete the existing customer record identified by the unique customer key, only if no plans or payments are associated with the customer.
Unique identifier of the customer.
An access API key issued to you by Xplor Pay.
Unauthorized
Payload
Type of payload returned in the response.
errorForbidden
Not Found
DELETE /rest/v2/customers/{customerKey} HTTP/1.1
api-key: text
Accept: */*
{
"error": {
"error-message": "text",
"result-code": "1",
"time-stamp": "2025-10-23T03:06:37.237Z"
},
"payloadType": "error"
}Retrieve the list of customers using search criteria.
Unique identifier assigned to the customer.
First name of the customer.
Last name of the customer.
Last four digits of the customer's card number.
Expiration date of the customer's card. Format: MMYY.
Email address associated with the customer.
Phone number associated with the customer.
Name of the recurring payment plan associated with the customer.
Specifies the page number of results to return when pagination is applied.
Specifies the number of results to return per page.
Determines the sort order of the results. Set to true for descending order. Default is true.
Used to sort the results.
An access API key issued to you by Xplor Pay.
ok
Payload
Type of payload returned in the response.
customersUnauthorized
Forbidden
Not Found
GET /rest/v2/customers HTTP/1.1
api-key: text
Accept: */*
{
"customers": {
"customer": [
{
"email": "test@test.com",
"phone": "444-444-4444",
"comments": "my fav customer",
"metadata": "any additional properties [ \"any additional property\": \"value\"]",
"customer-key": "custID-88839992-223838-023333",
"first-name": "John",
"last-name": "Doe",
"billing-address": {
"company": "Test Company",
"street": "123 Example Street",
"street2": "Suite 700",
"city": "St Louis",
"state": "MO",
"zip": "85284",
"country": "United States",
"phone": "3148889999",
"first-name": "John",
"last-name": "Doe"
},
"shipping-address": {
"company": "Test Company",
"street": "123 Example Street",
"street2": "Suite 700",
"city": "St Louis",
"state": "MO",
"zip": "85284",
"country": "United States",
"phone": "3148889999",
"first-name": "John",
"last-name": "Doe"
},
"links": {
"link": [
{
"rel": "transaction",
"href": "/rest/v2/transactions?id=846512",
"id": "846512"
}
]
}
}
]
},
"payloadType": "customers"
}Create a customer to set up a recurring payment plan.
An access API key issued to you by Xplor Pay.
Represents a recurring billing customer profile.
Email address associated with the customer.
test@test.comPrimary phone number of the customer.
444-444-4444Additional comments associated with the customer profile.
my fav customerA unique identifier defined to reference the customer in external systems.
custID-88839992-223838-023333Customer's first name.
JohnCustomer's last name.
Doeok
Payload
Type of payload returned in the response.
customersUnauthorized
Forbidden
Not Found
POST /rest/v2/customers HTTP/1.1
api-key: text
Content-Type: application/json
Accept: */*
Content-Length: 794
{
"email": "test@test.com",
"phone": "444-444-4444",
"comments": "my fav customer",
"metadata": "any additional properties [ \"any additional property\": \"value\"]",
"customer-key": "custID-88839992-223838-023333",
"first-name": "John",
"last-name": "Doe",
"billing-address": {
"company": "Test Company",
"street": "123 Example Street",
"street2": "Suite 700",
"city": "St Louis",
"state": "MO",
"zip": "85284",
"country": "United States",
"phone": "3148889999",
"first-name": "John",
"last-name": "Doe"
},
"shipping-address": {
"company": "Test Company",
"street": "123 Example Street",
"street2": "Suite 700",
"city": "St Louis",
"state": "MO",
"zip": "85284",
"country": "United States",
"phone": "3148889999",
"first-name": "John",
"last-name": "Doe"
},
"links": {
"link": [
{
"rel": "transaction",
"href": "/rest/v2/transactions?id=846512",
"id": "846512"
}
]
}
}{
"customers": {
"customer": [
{
"email": "test@test.com",
"phone": "444-444-4444",
"comments": "my fav customer",
"metadata": "any additional properties [ \"any additional property\": \"value\"]",
"customer-key": "custID-88839992-223838-023333",
"first-name": "John",
"last-name": "Doe",
"billing-address": {
"company": "Test Company",
"street": "123 Example Street",
"street2": "Suite 700",
"city": "St Louis",
"state": "MO",
"zip": "85284",
"country": "United States",
"phone": "3148889999",
"first-name": "John",
"last-name": "Doe"
},
"shipping-address": {
"company": "Test Company",
"street": "123 Example Street",
"street2": "Suite 700",
"city": "St Louis",
"state": "MO",
"zip": "85284",
"country": "United States",
"phone": "3148889999",
"first-name": "John",
"last-name": "Doe"
},
"links": {
"link": [
{
"rel": "transaction",
"href": "/rest/v2/transactions?id=846512",
"id": "846512"
}
]
}
}
]
},
"payloadType": "customers"
}Last updated
Was this helpful?

